---

 drivers/ide/ide-tape.c |   28 ++++------------------------
 1 files changed, 4 insertions(+), 24 deletions(-)

diff -puN drivers/ide/ide-tape.c~ide-tape-warning-fixes drivers/ide/ide-tape.c
--- 25/drivers/ide/ide-tape.c~ide-tape-warning-fixes	2004-02-15 22:21:29.000000000 -0800
+++ 25-akpm/drivers/ide/ide-tape.c	2004-02-15 22:25:17.000000000 -0800
@@ -1896,7 +1896,6 @@ static ide_startstop_t idetape_pc_intr (
 	idetape_pc_t *pc = tape->pc;
 
 	unsigned int temp;
-	unsigned long cmd_time;
 #if SIMULATE_ERRORS
 	static int error_sim_count = 0;
 #endif
@@ -2394,7 +2393,6 @@ static ide_startstop_t idetape_rw_callba
 
 static void idetape_create_read_cmd(idetape_tape_t *tape, idetape_pc_t *pc, unsigned int length, struct idetape_bh *bh)
 {
-	struct idetape_bh *p = bh;
 	idetape_init_pc(pc);
 	pc->c[0] = IDETAPE_READ_CMD;
 	put_unaligned(htonl(length), (unsigned int *) &pc->c[1]);
@@ -2431,8 +2429,6 @@ static void idetape_create_read_buffer_c
 
 static void idetape_create_write_cmd(idetape_tape_t *tape, idetape_pc_t *pc, unsigned int length, struct idetape_bh *bh)
 {
-	struct idetape_bh *p = bh;
-
 	idetape_init_pc(pc);
 	pc->c[0] = IDETAPE_WRITE_CMD;
 	put_unaligned(htonl(length), (unsigned int *) &pc->c[1]);
@@ -2858,8 +2854,6 @@ static ide_startstop_t idetape_read_posi
  */
 static void idetape_create_write_filemark_cmd (ide_drive_t *drive, idetape_pc_t *pc,int write_filemark)
 {
-	idetape_tape_t *tape = drive->driver_data;
-
 	idetape_init_pc(pc);
 	pc->c[0] = IDETAPE_WRITE_FILEMARK_CMD;
 	pc->c[4] = write_filemark;
@@ -2905,8 +2899,6 @@ static int __idetape_queue_pc_tail (ide_
 
 static void idetape_create_load_unload_cmd (ide_drive_t *drive, idetape_pc_t *pc,int cmd)
 {
-	idetape_tape_t *tape = drive->driver_data;
-
 	idetape_init_pc(pc);
 	pc->c[0] = IDETAPE_LOAD_UNLOAD_CMD;
 	pc->c[4] = cmd;
@@ -2948,11 +2940,7 @@ static int idetape_wait_ready(ide_drive_
 
 static int idetape_queue_pc_tail (ide_drive_t *drive,idetape_pc_t *pc)
 {
-	idetape_tape_t *tape = drive->driver_data;
-	int rc;
-
-	rc = __idetape_queue_pc_tail(drive, pc);
-	return rc;
+	return __idetape_queue_pc_tail(drive, pc);
 }
 
 static int idetape_flush_tape_buffers (ide_drive_t *drive)
@@ -2995,8 +2983,6 @@ static int idetape_read_position (ide_dr
 
 static void idetape_create_locate_cmd (ide_drive_t *drive, idetape_pc_t *pc, unsigned int block, u8 partition, int skip)
 {
-	idetape_tape_t *tape = drive->driver_data;
-
 	idetape_init_pc(pc);
 	pc->c[0] = IDETAPE_LOCATE_CMD;
 	pc->c[1] = 2;
@@ -3173,14 +3159,13 @@ static void idetape_create_inquiry_cmd (
 
 static void idetape_create_rewind_cmd (ide_drive_t *drive, idetape_pc_t *pc)
 {
-	idetape_tape_t *tape = drive->driver_data;
-
 	idetape_init_pc(pc);
 	pc->c[0] = IDETAPE_REWIND_CMD;
 	set_bit(PC_WAIT_FOR_DSC, &pc->flags);
 	pc->callback = &idetape_pc_callback;
 }
 
+#if 0
 static void idetape_create_mode_select_cmd (idetape_pc_t *pc, int length)
 {
 	idetape_init_pc(pc);
@@ -3191,6 +3176,7 @@ static void idetape_create_mode_select_c
 	pc->request_transfer = 255;
 	pc->callback = &idetape_pc_callback;
 }
+#endif
 
 static void idetape_create_erase_cmd (idetape_pc_t *pc)
 {
@@ -3595,8 +3581,8 @@ static int idetape_rewind_tape (ide_driv
 {
 	int retval;
 	idetape_pc_t pc;
-	idetape_tape_t *tape = drive->driver_data;
 #if IDETAPE_DEBUG_LOG
+	idetape_tape_t *tape = drive->driver_data;
 	if (tape->debug_level >= 2)
 		printk(KERN_INFO "ide-tape: Reached idetape_rewind_tape\n");
 #endif /* IDETAPE_DEBUG_LOG */	
@@ -3673,7 +3659,6 @@ static int idetape_space_over_filemarks 
 	idetape_pc_t pc;
 	unsigned long flags;
 	int retval,count=0;
-	int speed_control;
 
 	if (mt_count == 0)
 		return 0;
@@ -3828,12 +3813,9 @@ finish:
 static ssize_t idetape_chrdev_write (struct file *file, const char *buf,
 				     size_t count, loff_t *ppos)
 {
-	struct inode *inode = file->f_dentry->d_inode;
 	ide_drive_t *drive = file->private_data;
 	idetape_tape_t *tape = drive->driver_data;
-	unsigned int minor = iminor(inode);
 	ssize_t retval, actually_written = 0;
-	int position;
 
 	if (ppos != &file->f_pos) {
 		/* "A request was outside the capabilities of the device." */
@@ -3926,8 +3908,6 @@ static ssize_t idetape_chrdev_write (str
 
 static int idetape_write_filemark (ide_drive_t *drive)
 {
-	idetape_tape_t *tape = drive->driver_data;
-	int last_mark_addr;
 	idetape_pc_t pc;
 
 	/* Write a filemark */

_
